Bug 741445 - /sbin/dump aborts with a signal 8
Summary: /sbin/dump aborts with a signal 8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dump
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 20:21 UTC by Valdis Kletnieks
Modified: 2013-04-30 23:50 UTC (History)
6 users (show)

Fixed In Version: e2fsprogs-1.42-0.3.WIP.0925.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 20:50:46 UTC


Attachments (Terms of Use)

Description Valdis Kletnieks 2011-09-26 20:21:09 UTC
Description of problem:
Trying to run a dump of any ext4 filesystem dies with a signal 8:

dump -0 -z3 -u -f /disk2/backups/var.test.dump -L /var /var
  DUMP: Date of this level 0 dump: Mon Sep 12 05:07:22 2011
  DUMP: Dumping /dev/mapper/vg_blackice-var (/var) to /disk2/backup/var.test.dump
  DUMP: Label: /var
  DUMP: Writing 10 Kilobyte records
  DUMP: Compressing output at compression level 3 (zlib)
  DUMP: mapping (Pass I) [regular files]
  DUMP: mapping (Pass II) [directories]
  DUMP: estimated 793779 blocks.
  DUMP: Volume 1 started with block 1 at: Mon Sep 12 05:07:25 2011
  DUMP: dumping (Pass III) [directories]
  DUMP: dumping (Pass IV) [regular files]
  DUMP: Rewriting attempted as response to unknown signal: 8.
  DUMP: Closing /disk2/backups/var.test.dump
  DUMP: Volume 1 completed at: Mon Sep 12 05:07:28 2011
  DUMP: Volume 1 took 0:00:03
  DUMP: Volume 1 transfer rate: 770 kB/s
  DUMP: Volume 1 15955kB uncompressed, 2310kB compressed, 6.907:1
  DUMP: Change Volumes: Mount volume #2

Reverting to e2fsprogs-1.41.14-2.fc15.x86_64 works.

Version-Release number of selected component (if applicable):
e2fsprogs-1.42-0.2.WIP.0702.fc17.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Apparently this is already fixed upstream in 1.42~WIP-2011-09-16-1 according to a Debian bug report:

http://www.mail-archive.com/debian-bugs-closed@lists.debian.org/msg337202.html

Comment 1 Eric Sandeen 2011-09-26 20:28:32 UTC
I -just- built the newer e2fsprogs in rawhide.

Can you retest?

Comment 2 Valdis Kletnieks 2011-09-26 20:44:07 UTC
Grabbed 1.42-0.3.WIP.0925.fc17 from koji, and that works fine, thanks.  You can probably close this one.

(Though I'm wondering how nobody else seems to have opened a bug on this, don't people back their systems up? ;)

Comment 3 Eric Sandeen 2011-09-26 20:50:46 UTC
Maybe not with dump ;)


Note You need to log in before you can comment on or make changes to this bug.